# $Revision: 1.39 $, $Date: 2008/07/27 22:50:04 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	Debug
Summary:	CGI::Debug perl module
Summary(pl.UTF-8):	Moduł Perla CGI::Debug
Name:		perl-CGI-Debug
Version:	1.0
Release:	11
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4aa24a6e4aad4a488cf8bfe15cad7c25
BuildRequires:	perl-MIME-Lite
BuildRequires:	perl-devel >= 1:5.8.0
Requires:	perl-MIME-Lite
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGI::Debug will catch (almost) all compilation and runtime errors and
warnings and will display them in the browser.

%description -l pl.UTF-8
Moduł Perla CGI::Debug - wyłapujący (prawie) wszystkie błędy
kompilacji i uruchomienia oraz ostrzeżenia i wyświetlający je w
przeglądarce.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# don't try to send mail during tests
rm -f t/mail.t

%build
echo root@localhost | perl Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/CGI/Debug.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Debug.spec,v $
Revision 1.39  2008/07/27 22:50:04  arekm
- release 11

Revision 1.38  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.36  2004/11/03 22:30:08  paladine
- formatting

Revision 1.35  2004/10/24 13:49:32  paladine
- spelling fix

Revision 1.34  2004/06/02 08:19:46  ankry
- removed unnecessary R/BR, rel.++

Revision 1.33  2004/05/09 18:23:13  qboosh
- disable one test (which tries to send mail); release 9

Revision 1.32  2004/05/07 01:24:54  ankry
- rel. 8

Revision 1.31  2004/05/06 18:01:26  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/26 13:39:09  ankry
- added tests

Revision 1.29  2003/09/09 10:24:27  ankry
- spaces -> tab

Revision 1.28  2003/05/28 13:00:27  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 18:45:32  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/18 15:26:57  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/09/10 19:56:06  qboosh
- finished pl description, new %%doc, release 6

Revision 1.22  2002/07/10 08:46:22  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:30:00  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 19:36:06  kloczek
- adapterized.

Revision 1.17  2002/02/13 14:09:42  depesz
automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:24:23  depesz
adapterized

Revision 1.15  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.13  2001/04/17 17:17:07  baggins
- fixed building

Revision 1.12  2001/04/17 12:05:46  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/19 12:56:14  mis
- updated (by autoup) to 1.0

Revision 1.9  2000/12/28 01:25:39  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.8  2000/08/19 22:23:03  kloczek
- updated to 0.07.

Revision 1.7  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.4  2000/05/02 21:05:02  baggins
- fixed including macros

Revision 1.3  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
